summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0008comments_interval_0
diff options
context:
space:
mode:
authorArturo Borrero Gonzalez <arturo@debian.org>2016-11-09 10:38:26 +0100
committerPablo Neira Ayuso <pablo@netfilter.org>2016-11-09 20:03:54 +0100
commita7ded69b8dea118ae796d73b5a73c7113077d9dd (patch)
tree89eedd42b5c6980095cd43121ddb9b51f6c1874b /tests/shell/testcases/sets/0008comments_interval_0
parente26bf1db610464fd3c3b5040715ddbcb68bcbcab (diff)
tests: shell: add testcases for comments in set elements
This patch adds a several testcases for comments in set elements. This includes the netfilter bug #1090 about comments in set interval elements. Signed-off-by: Arturo Borrero Gonzalez <arturo@debian.org> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/sets/0008comments_interval_0')
-rwxr-xr-xtests/shell/testcases/sets/0008comments_interval_012
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0008comments_interval_0 b/tests/shell/testcases/sets/0008comments_interval_0
new file mode 100755
index 00000000..98c709cf
--- /dev/null
+++ b/tests/shell/testcases/sets/0008comments_interval_0
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# This test netfilter bug #1090
+# https://bugzilla.netfilter.org/show_bug.cgi?id=1090
+
+$NFT add table t
+$NFT add set t s {type ipv4_addr \; flags interval \;}
+$NFT add element t s { 1.1.1.1 comment "test" }
+if ! $NFT list ruleset | grep test >/dev/null ; then
+ echo "E: missing comment in set element" >&2
+ exit 1
+fi